/*
** GuessTheWord!
** Target: ATMEGA :: AVR-GCC
**
** Written by Caciula Raluca - 334CB
**
*/

#ifndef _GUESSTHEWORD_H_
#define _GUESSTHEWORD_H_

/* Structuri de date auxiliare */
typedef enum {
    Button_LEFT = PB0, Button_RIGHT = PB3, Button_UP = PB1, Button_ENTER = PB2
} Button;

typedef enum {
    BLACK, WHITE
} Color;

typedef enum {
    START, PLAY_GAME, NEW_WORD
} State;

typedef enum {
    FALSE = 0, TRUE = 1
} Bool;

/* Prototipuri functii */
void set_pixel(uint8_t x, uint8_t y, Color color);
void clear_screen(void);
void init_game(void);
void play_game(void);
void reset(void);
Bool pressed_button(Button button);
Bool complete_word_with_letter(void);
void print_start_text(void);
void print_over_text(void);
void print_win_text(void);
void print_end_text(void);

#endif
